Retrieve a list of all sources with optional filtering and pagination. Supports filtering by various media properties like duration, dimensions, codecs, etc.
GET
/api/sources
Authorization
Authorization
header
string
required
Enter the project access token with the Bearer prefix, e.g. "Bearer project_access_token"
Query Parameters
id
string
Filter by source ID
offset
default: 0
integer
Pagination offset
Required range: x >= 0
limit
default: 100
integer
Pagination limit (max 100)
Required range: 1 <= x <= 100
duration.eq
number
Filter by exact duration
Required range: x >= 0
duration.gte
number
Filter by duration greater than or equal
Required range: x >= 0
duration.gt
number
Filter by duration greater than
Required range: x >= 0
duration.lte
number
Filter by duration less than or equal
Required range: x >= 0
duration.lt
number
Filter by duration less than
Required range: x >= 0
created.gte
integer
epoch
Filter by creation date greater than or equal (UNIX epoch time)
Required range: x >= 0
Examples:
1764238404
created.lte
integer
epoch
Filter by creation date less than or equal (UNIX epoch time)
Required range: x >= 0
Examples:
1764238404
width.eq
integer
Filter by exact width
Required range: 0 <= x <= 8192
width.gte
integer
Filter by width greater than or equal
Required range: 0 <= x <= 8192
width.gt
integer
Filter by width greater than
Required range: 0 <= x <= 8192
width.lte
integer
Filter by width less than or equal
Required range: 0 <= x <= 8192
width.lt
integer
Filter by width less than
Required range: 0 <= x <= 8192
height.eq
integer
Filter by exact height
Required range: 0 <= x <= 8192
height.gte
integer
Filter by height greater than or equal
Required range: 0 <= x <= 8192
height.gt
integer
Filter by height greater than
Required range: 0 <= x <= 8192
height.lte
integer
Filter by height less than or equal
Required range: 0 <= x <= 8192
height.lt
integer
Filter by height less than
Required range: 0 <= x <= 8192
size.eq
integer
Filter by exact file size
Required range: x >= 0
size.gte
integer
Filter by file size greater than or equal
Required range: x >= 0
size.gt
integer
Filter by file size greater than
Required range: x >= 0
size.lte
integer
Filter by file size less than or equal
Required range: x >= 0
size.lt
integer
Filter by file size less than
Required range: x >= 0
audio_codec
string
Filter by audio codec
video_codec
string
Filter by video codec
device
string
Filter by device (apple/android)
Available options:
appleandroidunknown
created.sort
default: "asc"
string
Sort by creation date (asc/desc)
Available options:
ascdesc
metadata
array[]
Filter by metadata
Responses
application/json
data
object[]
required
Data contains the paginated source items
audio_bitrate
integer
required
Audio bitrate in bits per second
Examples:
128000
audio_codec
string
required
Audio codec used
Examples:
aac
created_at
string
date-time
required
Timestamp when the source was created
Examples:
2025-01-01T12:00:00Z
device
string
required
Device used to record the video
Examples:
iPhone
duration
integer
required
Duration of the video in seconds
Examples:
120
height
integer
required
Height of the video in pixels
Examples:
1080
id
string
required
Unique identifier of the source
Examples:
src_2G6MJiNz71bHQGNzGwKx5cJwPFS
metadata
object
required
Additional metadata for the source
Examples:
map[key1:value1 key2:value2]
size
integer
required
Size of the source file in bytes
Examples:
1.234567e+06
video_bitrate
integer
required
Video bitrate in bits per second
Examples:
2e+07
video_codec
string
required
Video codec used
Examples:
h264
video_framerate
number
required
Video framerate in frames per second
Examples:
29.97
width
integer
required
Width of the video in pixels
Examples:
1920
path
string
Exact object key in the configured bucket, 1 to 1024 UTF-8 bytes. The output base_prefix is not added.
storage_id
string
Connected Storage belonging to this Project.
url
string
URL where the source video can be accessed
Examples:
https://example.com/video.mp4
limit
integer
required
Limit indicates the maximum number of items in the current response
offset
integer
required
Offset indicates the offset of the first item in the current response
status
"success"
string
required
Status indicates the response status "success"
total
integer
required
Total indicates the total number of items
OK
application/json
error
object
required
Error response details
code
401
integer
required
Code is the HTTP status code
Examples:
401
message
string
required
Message is a human-readable error description
Examples:
Authentication error: invalid token or subscription inactive
type
"AuthenticationError"
string
required
Type indicates the error category
Available options:
AuthenticationError
status
"error"
string
required
Status indicates the response status "error"
Authentication error: invalid token or subscription inactive